Skip to main content
GET
Read an ordinary Automation and its editable definition

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

automation_id
string
required
Minimum string length: 1

Query Parameters

org_id
string

Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.

Minimum string length: 1
message_platform_provider
enum<string>
default:slack
Available options:
slack,
discord,
microsoft_teams
channel_id
string
Minimum string length: 1

Response

OK

data
object
required
definition
object

Ordinary Automation definition. Uses the native trigger and destination field names. Factory assignments and UI experience settings are not accepted.